> ## Name

> texBUFsize - returns the size of a given texture image for a given level of detail.

> ## Synopsis

>     int3 texBUFsize(samplerBUF samp, int lod)

>     int3 texBUFsize(isamplerBUF samp, int lod)

>     int3 texBUFsize(usamplerBUF samp, int lod)

> ## Parameters

> samp
>   Sampler to be queried for size.
> lod
>   Level of detail to obtain size.

> ## Description

> Given a sampler and a level of detail the size (width in x, height in y, and depth in z) of the corresponding texture buffer is returned as the result of the operation.

> Because texture buffers lack mipmaps, the lod parameter is unused.

> Texture buffer samplers are created with the EXT_texture_buffer_object extension. See:

>       http://developer.download.nvidia.com/opengl/specs/GL_EXT_texture_buffer_object.txt

> Texture buffer object samplers roughly correspond to the tbuffer functionality of DirectX 10.

> ## Profile Support

> texBUF is supported in gp4vp, gp4gp, and gp4fp profiles.

> ## See Also

> tex1Dsize, texBUF